Bug 233352 - print/qpdfview: improves USES flags and options
Summary: print/qpdfview: improves USES flags and options
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koichiro Iwao
URL:
Keywords: easy, needs-qa
Depends on:
Blocks:
 
Reported: 2018-11-20 11:47 UTC by Lorenzo Salvadore
Modified: 2019-02-06 02:41 UTC (History)
2 users (show)

See Also:
meta: maintainer-feedback+


Attachments
qpdfview patch (1.63 KB, patch)
2018-11-20 11:47 UTC, Lorenzo Salvadore
no flags Details | Diff
qpdfview patch with PORTREVISION increased (1.87 KB, patch)
2018-11-20 16:38 UTC, Lorenzo Salvadore
no flags Details | Diff
print/qpdfview: update to 0.4.18beta1 and Makefile cleanup (2.67 KB, patch)
2018-12-26 15:16 UTC, Marco Beishuizen
mbeis: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lorenzo Salvadore 2018-11-20 11:47:43 UTC
Created attachment 199376 [details]
qpdfview patch

My patch fixes some problems issued by portlint and poudriere and improves options management.

- Adds USE_GL= gl and USES+= gl, as required by poudriere.
- Adds a line before QMAKE_SOURCE_PATH  to separate it from the USE block, as required by portlint.
- Adds QT4_USE+= qt+=corelib and QT5_USE+= qt+=core,dbus,gui,widgets, as required by poudriere. (I am unsure the syntax I used in this changelog would be correct, but the one I used in the Makefile surely is: I just added the needed words where they were needed.)

- Moves the DJVU and PS option from OPTIONS_MULTI_BACKEND to OPTIONS_DEFINE, because they should be both optional, but the BACKEND construction requires that at least one of them be selected. (I think BACKEND was introduced to put the nice title "Additional documents support" over the two options, but because of the unwanted side effect it should be removed.)
- Makes QT5 default instead of QT4, because it is more recent. (I use qpdfview with QT5 almost everyday since months: it works perfectly.)

Everything has been tested on poudriere 11.2-RELEASE amd64/i386.
Comment 1 Lorenzo Salvadore 2018-11-20 12:15:19 UTC
I forgot a change:

- Adds DJVU as default option, because I think it is better to have one more feature in package instead of one less.
Comment 2 Lorenzo Salvadore 2018-11-20 16:38:15 UTC
Created attachment 199384 [details]
qpdfview patch with PORTREVISION increased

I increased PORTREVISION, as I think the USES flags modification require it, and maybe the change in default port options too.
Comment 3 Marco Beishuizen 2018-12-26 15:16:11 UTC
Created attachment 200529 [details]
print/qpdfview: update to 0.4.18beta1 and Makefile cleanup

- Update to 0.4.18.b1
- Modify Makefile to make poudriere and portlint happy
- Some make options cleanup

Thanks to Lorenzo Salvadore.
Comment 4 Koichiro Iwao freebsd_committer 2019-02-06 00:33:29 UTC
QA looks fine for me.
Comment 5 commit-hook freebsd_committer 2019-02-06 01:19:35 UTC
A commit references this bug:

Author: meta
Date: Wed Feb  6 01:18:48 UTC 2019
New revision: 492285
URL: https://svnweb.freebsd.org/changeset/ports/492285

Log:
  print/qpdfview: Update to 0.4.18.b1

  While here,
  - Make portlint happy
  - Some make options cleanup
  - Remove Qt4 conditional deprecation as Qt4 support has already been
    dropped at r487596

  PR:		233352
  Submitted by:	Marco Beishuizen <mbeis@xs4all.nl> (maintainer)
  		Lorenzo Salvadore <phascolarctos@protonmail.ch> (initial version)

Changes:
  head/print/qpdfview/Makefile
  head/print/qpdfview/distinfo
  head/print/qpdfview/pkg-plist
Comment 6 Koichiro Iwao freebsd_committer 2019-02-06 02:41:27 UTC
Comitted with minor changes. Removed following block as Qt4 support has already been dropped at r487596.

.if ${PORT_OPTIONS:MQT4}
DEPRECATED=             Qt4 has been EOL since december 2015
EXPIRATION_DATE=        2019-03-15
.endif

Thank you for your contribution.